
# use when developing locally
# build is done just before running the container
# volumes are mounted to the local directory to get data persistence
# it s a whole separate workflow

# data is taken from '''/tests''' folder


version: "3.9"
services:
  pocketbase:
    network_mode: "host"
    build:
      context: backend
      dockerfile: pbdev.Dockerfile
    volumes:
      - type: bind
        source: ./tests/pb_data
        target: /home/pb_data
      - ./backend:/home
    ports:
      - "8090:8090" 
    environment:
      - RUNNING=DEV

  meili:
    network_mode: "host"
    image: getmeili/meilisearch:v1.0
    volumes:
      - "./tests/meili_data:/meili_data"
    ports:
      - "7700:7700"
    tty: true
    stdin_open: true
    command: ["meilisearch", "--master-key=masterKey", "--env=development"]
        
  meiliui:
    image: riccoxie/meilisearch-ui:latest
    ports:
      - "3000:24900"